<?php

if (isset($attributes) && count($attributes['images']) > 0) {
	// Recuperation d'un chiffre Random (du nombre de photo de la gallery)
	try {
		$indexRandom = random_int(0, count($attributes['images']) - 1);
	} catch (Exception $e) {
		$indexRandom = 0;
	}
	// Récupération de l'image correspondante
	$imageRandom = $attributes['images'][$indexRandom];

	// Taille de l'image demandée par l'utilisateur
	$thumbnailSize = $attributes['thumbnailSize'];
	$imageUrl = isset($imageRandom['sizes'][$thumbnailSize]) ? $imageRandom['sizes'][$thumbnailSize]['url'] : $imageRandom['sizes']['full']['url'];
	$imageAlt = $imageRandom['alt'];
	$showCaption = $attributes['showCaption'];
	$imageCaption = $showCaption ? $imageRandom['caption'] : '';

	$wrapper_attributes = get_block_wrapper_attributes();

	?>

	<figure <?php echo $wrapper_attributes ?>>
		<img src="<?php echo $imageUrl ?>" alt="<?php echo $imageRandom['alt'] ?>">
		<?php if ($showCaption) : ?>
			<figcaption>
				<?php echo $imageRandom['caption'] ?>
			</figcaption>
		<?php endif ?>
	</figure>

	<?php
}
