<?php

$parent_id        = wp_get_post_parent_id();
$parent_post_type = get_post_type();

$current_post_id = get_the_ID();

if ( isset( $attributes ) ) {
	$args  = array(
		'post_parent'         => $parent_id,
		'post_type'           => $parent_post_type,
		'post__not_in'        => $attributes['showCurrentPage'] ? "" : array( get_the_ID() ),
		'ignore_sticky_posts' => true,
		'orderby'             => $attributes['orderBy'],
		'order'               => 'ASC'
	);
	$posts = new WP_Query( $args );

	$wrapper_attributes = get_block_wrapper_attributes();
	?>

	<?php if ( $posts->have_posts() ) : ?>
        <div <?php echo $wrapper_attributes ?>>
            <ul>
				<?php while ( $posts->have_posts() ) :
					$posts->the_post() ?>

					<?php if ( get_the_ID() === $current_post_id ) : ?>
                    <li class="current">
				<?php else : ?>
                    <li>
				<?php endif ?>

					<?php if ( $attributes['showThumbnail'] ) : ?>
                    <figure>
						<?php the_post_thumbnail( $attributes['thumbnailSize'] ) ?>
                    </figure>
				<?php endif ?>
                    <?php echo "<" . $attributes['htmlTag'].">"?>
                    <a href= <?php echo get_permalink() ?>> <?php echo get_the_title() ?></a>
					<?php echo "</" . $attributes['htmlTag'].">"?>
                    <?php if ( $attributes['showExcerpt'] ) : ?>
                    <p> <?php echo get_the_excerpt(); ?></p>
				<?php endif ?>
                    </li>
				<?php endwhile ?>
            </ul>
        </div>
	<?php endif ?>
	<?php
	wp_reset_postdata();
}

