jQuery('document').ready(function () {
	const sliders = jQuery('.wp-block-bsw-slider-static');
	function isMobile() {
		return /Android|iPhone|iPad|iPod|Windows Phone|Mobile/i.test(
			navigator.userAgent
		);
	}

	jQuery.each(sliders, function (slider) {
		const autoplay = sliders[slider].attributes['data-autoplay'].nodeValue;
		const interval = sliders[slider].attributes['data-interval'].nodeValue;
		const perPage = sliders[slider].attributes['data-per_page'].nodeValue;
		const perPageMobile =
			sliders[slider].attributes['data-per_page_mobile'].nodeValue;
		const perMove = sliders[slider].attributes['data-per_move'].nodeValue;
		const perMoveMobile =
			sliders[slider].attributes['data-per_move_mobile'].nodeValue;
		const arrows = sliders[slider].attributes['data-arrows'].nodeValue;
		const pagination =
			sliders[slider].attributes['data-pagination'].nodeValue;
		const paddingMobile =
			sliders[slider].attributes['data-padding_mobile'].nodeValue;
		const blockId = sliders[slider].attributes['data-blockid'].nodeValue;
		const padding = sliders[slider].attributes['data-padding'].nodeValue;
		const margin = sliders[slider].attributes['data-margin'].nodeValue;

		const arrowsBool = arrows === 'true';
		const autoplayBool = autoplay === 'true';
		const paginationBool = pagination === 'true';

		// eslint-disable-next-line no-undef
		new Splide(`.splide#splide-${blockId}`, {
			type: 'loop',
			autoplay: autoplayBool,
			interval,
			perPage: isMobile() ? perPageMobile : perPage,
			perMove: isMobile() ? perMoveMobile : perMove,
			arrows: arrowsBool,
			padding: isMobile() ? paddingMobile : padding,
			pagination: paginationBool,
			pauseOnHover: true,
			gap: margin,
		}).mount();
	});
});
