import {
	Panel,
	PanelBody,
	ToggleControl,
	SelectControl,
} from '@wordpress/components';
import { InspectorControls } from '@wordpress/block-editor';
import { __ } from '@wordpress/i18n';

export default function Inspector(props) {
	const { openByDefault, setAttributes, htmlTag } = props;

	return (
		<InspectorControls>
			<Panel>
				<PanelBody>
					<ToggleControl
						label={__('Ouvert par défault', 'bsw-blocks')}
						checked={openByDefault}
						onChange={(openByDefault) =>
							setAttributes({ openByDefault })
						}
					/>
					<SelectControl
						value={htmlTag}
						options={[
							{
								value: 'span',
								label: __('span'),
							},
							{ value: 'div', label: __('div') },
							{ value: 'p', label: __('p') },
							{ value: 'h1', label: __('h1') },
							{ value: 'h2', label: __('h2') },
							{ value: 'h3', label: __('h3') },
							{ value: 'h4', label: __('h4') },
						]}
						label={__(
							"Balise Html pour le titre de l'accordéon",
							'bsw-blocks'
						)}
						onChange={(htmlTag) => setAttributes({ htmlTag })}
					/>
				</PanelBody>
			</Panel>
		</InspectorControls>
	);
}
