import {
	BlockControls,
	MediaUpload,
	MediaUploadCheck,
} from '@wordpress/block-editor'; // Core
import { ToolbarButton, ToolbarGroup } from '@wordpress/components';
import { __ } from '@wordpress/i18n';

export default function Toolbar(props) {
	const { images, setAttributes } = props;

	return (
		<BlockControls>
			<ToolbarGroup>
				<MediaUploadCheck>
					<MediaUpload
						multiple
						gallery
						addToGallery={true}
						onSelect={(newImages) =>
							setAttributes({ images: newImages })
						}
						allowedTypes={['image']}
						value={images.map((image) => image.id)}
						render={({ open }) => (
							<ToolbarButton onClick={open}>
								{__('Edit')}
							</ToolbarButton>
						)}
					/>
				</MediaUploadCheck>
			</ToolbarGroup>
		</BlockControls>
	);
}
