<?php

if ( isset( $attributes ) ) {
    $show_tags        = boolval( $attributes['showTags'] );
    $show_categories  = boolval( $attributes['showCategories'] );
    $show_description = boolval( $attributes['showExcerpt'] );
    $show_image       = boolval( $attributes['showThumbnail'] );
    $show_fleches     = boolval( $attributes['showArrows'] );
    $show_pagination  = boolval( $attributes['showPagination'] );
    $posts_per_page   = intval( $attributes['nombrePosts'] );


    if ( $attributes['postType'] !== "tribe_events" ) :

        $query_vars = array(
            'tribe_suppress_query_filters' => true,
            'post_type'      => $attributes['postType'],
            'posts_per_page' => $posts_per_page,
            'orderby'        => $attributes['orderBy'],
            'tag_id'         => $attributes['idTagName'] ?? "",
            'cat'            => $attributes['idCategorieName'] ?? "",
            'post__not_in'   => $attributes['excludeCurrentPage'] ? array( get_the_ID() ) : "",
        );

        $slider_query       = new WP_Query( $query_vars );
        $block_id           = $attributes['blockId'];
        $wrapper_attributes = get_block_wrapper_attributes( [ 'class' => 'splide', 'id' => 'splide-' . $block_id ] );
        ?>

        <?php if ( $slider_query->have_posts() ) : ?>
        <div <?php echo $wrapper_attributes ?>>
            <div class="splide__track">
                <ul class="splide__list">
                    <?php $slider_query = new WP_Query( $query_vars ); ?>
                    <?php while ( $slider_query->have_posts() ) :
                        $slider_query->the_post();
                        $tags      = wp_get_post_tags( get_the_ID() );
                        $className = "";
                        foreach ( $tags as $value ) {
                            $className = $className . " " . $value->slug;
                        }
                        ?>
                        <li
                            class="splide__slide <?php echo $className ?>">
                            <?php if ( $show_image && has_post_thumbnail() ) : ?>
                                <figure>
                                    <?php the_post_thumbnail( $attributes['thumbnailSize'] );
                                    get_post_meta( get_post_thumbnail_id(), '_wp_attachment_image_alt', true ); ?>
                                </figure>
                            <?php endif ?>

                            <?php if ( $attributes['postType'] !== "temoignage" ) : ?>
                                <a class="slider_post_title" href="<?php the_permalink(); ?>"><?php the_title() ?></a>
                            <?php endif; ?>

                            <?php if ( $attributes['postType'] === "temoignage" ) : ?>

                                <blockquote class="wp-block-quote">
                                    <p><?php echo get_field( "texte", get_the_ID() ) ?></p>
                                    <?php
                                    $auteur    = get_field( "auteur", get_the_ID() );
                                    $fonction  = get_field( "fonction", get_the_ID() );
                                    $structure = get_field( "structure", get_the_ID() );
                                    ?>
                                    <cite>
                                        <span class="auteur"><?php echo $auteur ?></span>
                                        <?php if ( $fonction ) : ?>
                                            <span class="fonction"><?php echo $fonction ?></span>
                                        <?php endif; ?>
                                        <?php if ( $structure ) : ?>
                                            <span class="structure"><?php echo $structure ?></span>
                                        <?php endif; ?>
                                    </cite>
                                </blockquote>

                            <?php endif; ?>

                            <?php if ( $show_tags && count( $tags ) > 0 ) : ?>
                                <ul class="slider_tags">
                                    <?php foreach ( $tags as $tag ) : ?>
                                        <li>
                                            <a href="<?php echo get_tag_link( $tag ) ?>"><?php echo $tag->name ?></a>
                                        </li>
                                    <?php endforeach ?>
                                </ul>
                            <?php endif ?>

                            <?php $categories = wp_get_post_categories( get_the_ID() ); ?>
                            <?php if ( $show_categories && count( $categories ) > 0 ) : ?>
                                <ul class="slider_categories">
                                    <?php foreach ( $categories as $categorie ) : ?>
                                        <li>
                                            <a href="<?php echo get_category_link( $categorie ) ?>"><?php echo get_cat_name( $categorie ) ?></a>
                                        </li>
                                    <?php endforeach ?>
                                </ul>
                            <?php endif ?>
                            <?php if ( $show_description && has_excerpt() && $attributes['postType'] !== "temoignage" ) : ?>
                                <div class="slider_excerpt">
                                    <?php the_excerpt() ?>
                                </div>
                            <?php endif ?>
                            <?php if ( $attributes['readMore'] ) : ?>
                                <a href="<?php the_permalink(); ?>"><?php echo $attributes['linkTitle'] ?></a>
                            <?php endif; ?>
                        </li>
                    <?php endwhile ?>
                </ul>
            </div>
        </div>

        <script>
            jQuery( 'document' ).ready( function () {
                new Splide(
                    '.splide#splide-<?php echo $block_id ?>', {
                        type: 'loop',
                        autoplay: '<?php echo $attributes['autoplay'] ?>',
                        interval: '<?php echo $attributes['interval'] ?>',
                        perPage: '<?php echo wp_is_mobile() ? $attributes['perPageMobile'] : $attributes['perPage'] ?>',
                        perMove: '<?php echo wp_is_mobile() ? $attributes['perMoveMobile'] : $attributes['perMove'] ?>',
                        arrows: '<?php echo $show_fleches ?>',
                        padding: <?php  echo( wp_is_mobile() ? $attributes['paddingMobile'] : $attributes['padding'] ) ?>,
                        pagination: '<?php echo $show_pagination ?>',
                        pauseOnHover: true,
                        gap: '<?php echo $attributes['margin'] ?>',

                    }
                ).mount();
            } )
        </script>
    <?php endif ?>
        <?php
        wp_reset_postdata();
    else:

        $result = tribe_events()
            ->where( 'starts_after', 'today' )
            ->order_by( 'event_date' )
            ->order( 'DESC' );

        if ( isset( $attributes['idCategorieName'] ) ) {
            $result = $result->where( "category", $attributes['idCategorieName'] );
        }
        if ( isset( $attributes['idTagName'] ) ) {
            $result = $result->where( "tag", $attributes['idTagName'] );
        }
        $result = $result->all();


        $block_id           = $attributes['blockId'];
        $wrapper_attributes = get_block_wrapper_attributes( [ 'class' => 'splide', 'id' => 'splide-' . $block_id ] );
        ?>

        <div <?php echo $wrapper_attributes ?>>
            <div class="splide__track">
                <ul class="splide__list">
                    <?php foreach ( $result as $event ) :
                        $tags = wp_get_post_tags( $event->ID );
                        $className = "";
                        foreach ( $tags as $value ) {
                            $className = $className . " " . $value->slug;
                        }
                        ?>
                        <li class="splide__slide <?php echo $className ?>">
                            <?php if ( $show_image ) : ?>
                                <figure>
                                    <?php echo get_the_post_thumbnail( $event->ID, $attributes['thumbnailSize'] );
                                    get_post_meta( get_post_thumbnail_id(), '_wp_attachment_image_alt', true ); ?>
                                </figure>
                            <?php endif ?>

                            <?php if ( $attributes['postType'] !== "temoignage" ) : ?>
                                <a class="slider_post_title"
                                   href="<?php echo $event->guid ?>"><?php echo $event->post_title ?></a>
                            <?php endif; ?>

                            <?php $tags = wp_get_post_tags( $event->ID ); ?>
                            <?php if ( $show_tags && count( $tags ) > 0 ) : ?>
                                <ul class="slider_tags">
                                    <?php foreach ( $tags as $tag ) : ?>
                                        <li>
                                            <a href="<?php echo get_tag_link( $tag ) ?>"><?php echo $tag->name ?></a>
                                        </li>
                                    <?php endforeach ?>
                                </ul>
                            <?php endif ?>

                            <?php $categories = get_the_terms( $event->ID, 'tribe_events_cat' );
                            if ( $show_categories && $categories ): ?>
                                <ul class="slider_categories">
                                    <?php foreach ( $categories as $categorie ) : ?>
                                        <li>
                                            <a href="<?php ?>"><?php echo $categorie->slug ?></a>
                                        </li>
                                    <?php endforeach ?>
                                </ul>
                            <?php endif ?>
                            <div class="slider_excerpt">
                                <?php echo $event->post_excerpt; ?>
                            </div>
                            <?php
                            $all_day         = $event->all_day;
                            $start_date_hour = tribe_get_start_date( $event->ID );
                            $end_date_hour   = tribe_get_end_date( $event->ID );
                            $start_date      = tribe_get_start_date( $event->ID, false );
                            $end_date        = tribe_get_end_date( $event->ID, false );
                            $start_time      = tribe_get_end_time( $event->ID );
                            $end_time        = tribe_get_end_time( $event->ID );
                            if ( $start_date === $end_date && $all_day ) : ?>
                                <p>Le
                                    <time class="start_date"
                                          datetime="<?php echo $start_date_hour ?>"><?php echo $start_date ?></time>
                                </p>
                            <?php elseif ( $start_date === $end_date && $all_day === false ): ?>
                                <p>Le
                                    <time class="start_date"
                                          datetime="<?php echo $start_date_hour ?>"><?php echo $start_date ?></time>
                                    de
                                    <time class="start_time"><?php echo $start_time ?></time>
                                    à
                                    <time class="end_time"
                                          datetime="<?php echo $end_date_hour ?>"><?php echo $end_time ?></time>
                                </p>
                            <?php elseif ( $start_date !== $end_date && $all_day === false ) : ?>
                                <p>Du
                                    <time class="start_date"
                                          datetime="<?php echo $start_date_hour ?>"><?php echo $start_date ?></time>
                                    à
                                    <time class="start_time"><?php echo $start_time ?></time>
                                    au
                                    <time class="end_date"
                                          datetime="<?php echo $end_date_hour ?>"><?php echo $end_date ?></time>
                                    à
                                    <time class="end_time"><?php echo $end_time ?></time>
                                </p>
                            <?php elseif ( $start_date !== $end_date && $all_day ) : ?>
                                <p>Du
                                    <time class="start_date"
                                          datetime="<?php echo $start_date_hour ?>"><?php echo $start_date ?></time>
                                    au
                                    <time class="end_date"
                                          datetime="<?php echo $end_date_hour ?>"><?php echo $end_date ?></time>
                                </p>
                            <?php endif ?>

                            <?php if ( $attributes['readMore'] ) : ?>
                                <a href="<?php the_permalink(); ?>"><?php echo $attributes['linkTitle'] ?></a>
                            <?php endif; ?>
                        </li>
                    <?php endforeach; ?>
                </ul>
            </div>
        </div>

        <script>
            jQuery( 'document' ).ready( function () {
                new Splide(
                    '.splide#splide-<?php echo $block_id ?>', {
                        type: 'loop',
                        autoplay: '<?php echo $attributes['autoplay'] ?>',
                        interval: '<?php echo $attributes['interval'] ?>',
                        perPage: '<?php echo wp_is_mobile() ? $attributes['perPageMobile'] : $attributes['perPage'] ?>',
                        perMove: '<?php echo wp_is_mobile() ? $attributes['perMoveMobile'] : $attributes['perMove'] ?>',
                        arrows: '<?php echo $show_fleches ?>',
                        padding: <?php  echo( wp_is_mobile() ? $attributes['paddingMobile'] : $attributes['padding'] ) ?>,
                        pagination: '<?php echo $show_pagination ?>',
                        pauseOnHover: true,
                        gap: '<?php echo $attributes['margin'] ?>',

                    }
                ).mount();
            } )
        </script>
    <?php endif ?>
    <?php
    wp_reset_postdata();

};






