<?php

/**
 * Ajoute la class de la catégorie
 *
 * @return array
 * @since 1.0.0
 *
 */

function aster_add_category_to_single( $classes ) {
    if ( is_single() || is_page() ) {
        global $post;
        foreach ( ( get_the_category( $post->ID ) ) as $category ) {
            // add category slug to the $classes array
            $classes[] = "category-$category->category_nicename";
        }
    }

    // return the $classes array
    return $classes;
}

add_filter( 'body_class', 'aster_add_category_to_single' );

/**
 * Ajoute la class du parent
 *
 * @return array
 * @since 1.0.0
 *
 */

function aster_body_class_section( $classes ) {
    global $post;
    if ( $post && is_post_type_hierarchical( $post->post_type ) ) {
        if ( $post->post_parent ) {
            $parent_post = get_post( $post->post_parent );
            $classes[]   = "section-$parent_post->post_name";
        }
    }

    return $classes;
}

add_filter( 'body_class', 'aster_body_class_section' );
