<?php
function aster_add_exclude_pages_from_nav_checkbox() {
    add_meta_box(
        'aster_exclude_pages_from_nav_checkbox',
        'Exclure de la navigation',
        'aster_exclude_pages_from_nav_checkbox_callback',
        'page',
        'side',
        'default'
    );
}

add_action( 'add_meta_boxes_page', 'aster_add_exclude_pages_from_nav_checkbox' );

function aster_exclude_pages_from_nav_checkbox_callback( $post ) {
    $value = get_post_meta( $post->ID, '_aster_exclude_pages_from_nav_checkbox', true );
    echo '<input type="checkbox" name="aster_exclude_pages_from_nav_checkbox" id="aster_exclude_pages_from_nav_checkbox" value="1" ' . checked( 1, $value, false ) . ' />';
    echo '<label for="aster_exclude_pages_from_nav_checkbox">Exclure de la navigation</label>';
}

function aster_save_exclude_pages_from_nav_checkbox( $post_id ) {
    if ( ! array_key_exists( 'aster_exclude_pages_from_nav_checkbox', $_POST ) ) {
        $_POST['aster_exclude_pages_from_nav_checkbox'] = '';
    }
    update_post_meta(
        $post_id,
        '_aster_exclude_pages_from_nav_checkbox',
        $_POST['aster_exclude_pages_from_nav_checkbox']
    );

}

add_action( 'save_post_page', 'aster_save_exclude_pages_from_nav_checkbox' );

function aster_exclude_pages_from_nav( $pages ) {
    foreach ( $pages as $i => $page ) {
        if ( get_post_meta( $page->ID, '_aster_exclude_pages_from_nav_checkbox', true ) ) {
            unset( $pages[ $i ] );
        }
    }

    return $pages;
}

add_filter( 'get_pages', 'aster_exclude_pages_from_nav' );
