<?php
/**
 * Active les plugins de bases.
 *
 * @since 1.0.0
 *
 */
function aster_activate_plugins() {
    require_once ABSPATH . '/wp-admin/includes/plugin.php';
    $plugins = [
        'didomi/bsw-didomi.php',
        'bsw-blocks/bsw-blocks.php',
        'wp-sync-db/wp-sync-db.php',
        'wp-sync-db-media-files/wp-sync-db-media-files.php',
        'advanced-custom-fields/acf.php',
        'duracelltomi-google-tag-manager/duracelltomi-google-tag-manager-for-wordpress.php',
        'easy-wp-smtp/easy-wp-smtp.php',
        'members/members.php',
        'white-label-cms/wlcms-plugin.php',
        'wordpress-seo/wp-seo.php'
    ];

    foreach ( $plugins as $plugin ) {
        $activation = activate_plugin( $plugin, '', false, false );
        if ( is_wp_error( $activation ) ) {
            // une erreur est survenue pendant l'activation des plugins
            echo '<div class="notice notice-error is-dismissible">';
            echo "<p>$plugin</p>";
            echo "<p><strong>" . $activation->get_error_message() . "</strong></p>";
            echo "</div>";
        }
    }

    if ( is_plugin_active( 'members/members.php' ) ) {
        //plugin is activated
        // Active l'addon "members role hierarchy" du plugin members
        members_plugin()->run_addon_activator( 'members-role-hierarchy' );
        $active_addons[] = 'members-role-hierarchy';
        update_option( 'members_active_addons', $active_addons );

        // Configuration du plugin members
        $members_settings                        = get_option( 'members_settings' );
        $members_settings['multi_roles']         = false;
        $members_settings['content_permissions'] = false;
        $members_settings['comparison_operator'] = '>=';
        update_option( 'members_settings', $members_settings );
    }
}

add_action( 'after_switch_theme', 'aster_activate_plugins' );
